# WOK
TKWOK
WOKBuilder

# WOKBuilder_HSequenceOfLibrary Class Reference

`#include <WOKBuilder_HSequenceOfLibrary.hxx>`

## Public Member Functions

| WOKBuilder_HSequenceOfLibrary ()
Standard_Boolean | IsEmpty () const
Standard_Integer | Length () const
Standard_EXPORT void | Clear ()
Standard_EXPORT void | Append (const Handle(WOKBuilder_Library)&anItem)
Standard_EXPORT void | Append (const Handle(WOKBuilder_HSequenceOfLibrary)&aSequence)
Standard_EXPORT void | Prepend (const Handle(WOKBuilder_Library)&anItem)
Standard_EXPORT void | Prepend (const Handle(WOKBuilder_HSequenceOfLibrary)&aSequence)
Standard_EXPORT void | Reverse ()
Standard_EXPORT void | InsertBefore (const Standard_Integer anIndex, const Handle(WOKBuilder_Library)&anItem)
Standard_EXPORT void | InsertBefore (const Standard_Integer anIndex, const Handle(WOKBuilder_HSequenceOfLibrary)&aSequence)
Standard_EXPORT void | InsertAfter (const Standard_Integer anIndex, const Handle(WOKBuilder_Library)&anItem)
Standard_EXPORT void | InsertAfter (const Standard_Integer anIndex, const Handle(WOKBuilder_HSequenceOfLibrary)&aSequence)
Standard_EXPORT void | Exchange (const Standard_Integer anIndex, const Standard_Integer anOtherIndex)
Standard_EXPORT Handle_WOKBuilder_HSequenceOfLibrary | Split (const Standard_Integer anIndex)
Standard_EXPORT void | SetValue (const Standard_Integer anIndex, const Handle(WOKBuilder_Library)&anItem)
Standard_EXPORT const Handle_WOKBuilder_Library & | Value (const Standard_Integer anIndex) const
Standard_EXPORT Handle_WOKBuilder_Library & | ChangeValue (const Standard_Integer anIndex)
Standard_EXPORT void | Remove (const Standard_Integer anIndex)
Standard_EXPORT void | Remove (const Standard_Integer fromIndex, const Standard_Integer toIndex)
const WOKBuilder_SequenceOfLibrary & | Sequence () const
WOKBuilder_SequenceOfLibrary & | ChangeSequence ()
Standard_EXPORT Handle_WOKBuilder_HSequenceOfLibrary | ShallowCopy () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

WOKBuilder_SequenceOfLibrary | mySequence

## Constructor & Destructor Documentation

WOKBuilder_HSequenceOfLibrary::WOKBuilder_HSequenceOfLibrary | ( |  | ) |

## Member Function Documentation

Standard_EXPORT void WOKBuilder_HSequenceOfLibrary::Append | ( | const Handle(WOKBuilder_HSequenceOfLibrary)& | aSequence | ) |

Standard_EXPORT void WOKBuilder_HSequenceOfLibrary::Append | ( | const Handle(WOKBuilder_Library)& | anItem | ) |

WOKBuilder_SequenceOfLibrary& WOKBuilder_HSequenceOfLibrary::ChangeSequence | ( |  | ) |

Standard_EXPORT Handle_WOKBuilder_Library& WOKBuilder_HSequenceOfLibrary::ChangeValue | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT void WOKBuilder_HSequenceOfLibrary::Clear | ( |  | ) |

Standard_EXPORT void WOKBuilder_HSequenceOfLibrary::Exchange | ( | const Standard_Integer | anIndex,
|  | const Standard_Integer | anOtherIndex
| ) |

Standard_EXPORT const WOKBuilder_HSequenceOfLibrary::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void WOKBuilder_HSequenceOfLibrary::InsertAfter | ( | const Standard_Integer | anIndex,
|  | const Handle(WOKBuilder_HSequenceOfLibrary)& | aSequence
| ) |

Standard_EXPORT void WOKBuilder_HSequenceOfLibrary::InsertAfter | ( | const Standard_Integer | anIndex,
|  | const Handle(WOKBuilder_Library)& | anItem
| ) |

Standard_EXPORT void WOKBuilder_HSequenceOfLibrary::InsertBefore | ( | const Standard_Integer | anIndex,
|  | const Handle(WOKBuilder_HSequenceOfLibrary)& | aSequence
| ) |

Standard_EXPORT void WOKBuilder_HSequenceOfLibrary::InsertBefore | ( | const Standard_Integer | anIndex,
|  | const Handle(WOKBuilder_Library)& | anItem
| ) |

Standard_Boolean WOKBuilder_HSequenceOfLibrary::IsEmpty | ( |  | ) | const

Standard_Integer WOKBuilder_HSequenceOfLibrary::Length | ( |  | ) | const

Standard_EXPORT void WOKBuilder_HSequenceOfLibrary::Prepend | ( | const Handle(WOKBuilder_HSequenceOfLibrary)& | aSequence | ) |

Standard_EXPORT void WOKBuilder_HSequenceOfLibrary::Prepend | ( | const Handle(WOKBuilder_Library)& | anItem | ) |

Standard_EXPORT void WOKBuilder_HSequenceOfLibrary::Remove | ( | const Standard_Integer | fromIndex,
|  | const Standard_Integer | toIndex
| ) |

Standard_EXPORT void WOKBuilder_HSequenceOfLibrary::Remove | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT void WOKBuilder_HSequenceOfLibrary::Reverse | ( |  | ) |

const WOKBuilder_SequenceOfLibrary& WOKBuilder_HSequenceOfLibrary::Sequence | ( |  | ) | const

Standard_EXPORT void WOKBuilder_HSequenceOfLibrary::SetValue | ( | const Standard_Integer | anIndex,
|  | const Handle(WOKBuilder_Library)& | anItem
| ) |

Standard_EXPORT Handle_WOKBuilder_HSequenceOfLibrary WOKBuilder_HSequenceOfLibrary::ShallowCopy | ( |  | ) | const

Standard_EXPORT Handle_WOKBuilder_HSequenceOfLibrary WOKBuilder_HSequenceOfLibrary::Split | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT const Handle_WOKBuilder_Library& WOKBuilder_HSequenceOfLibrary::Value | ( | const Standard_Integer | anIndex | ) | const

## Field Documentation

WOKBuilder_SequenceOfLibrary WOKBuilder_HSequenceOfLibrary::mySequence `[private]`

The documentation for this class was generated from the following file:

- WOKBuilder_HSequenceOfLibrary.hxx